#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ModuleVersionMetadata {
    #[serde(rename = "createdBy")]
    created_by: super::super::scout::rids::api::UserRid,
    #[serde(rename = "createdAt")]
    created_at: conjure_object::DateTime<conjure_object::Utc>,
    #[serde(rename = "version")]
    version: super::ModuleVersion,
}
impl ModuleVersionMetadata {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        created_by: super::super::scout::rids::api::UserRid,
        created_at: conjure_object::DateTime<conjure_object::Utc>,
        version: super::ModuleVersion,
    ) -> Self {
        Self::builder()
            .created_by(created_by)
            .created_at(created_at)
            .version(version)
            .build()
    }
    #[inline]
    pub fn created_by(&self) -> &super::super::scout::rids::api::UserRid {
        &self.created_by
    }
    #[inline]
    pub fn created_at(&self) -> conjure_object::DateTime<conjure_object::Utc> {
        self.created_at
    }
    #[inline]
    pub fn version(&self) -> &super::ModuleVersion {
        &self.version
    }
}
